# 小米 CR6608

## 准备工作

- 小米 CR660X 路由器 **(X)**
- 运行 OpenWrt 的路由器 **(Y)**
- 电脑一台，需要用网线连接路由器
- (X)和(Y)插 LAN 口，且不能插其他网线

## 固件推荐

### Padavan

- Hiboy {==RECOMMEND!==} [链接](https://opt.cn2qq.com/padavan/)
- 237176253 (Diable IPv6 default) [链接](https://www.right.com.cn/forum/thread-4117591-1-1.html)
- 无量天尊 (可超频) [链接](https://www.right.com.cn/FORUM/thread-4744813-1-3.html)

### OpenWrt

- [OpenWrt 21.02](https://www.right.com.cn/forum/thread-8272614-1-1.html)
- [Lede](https://www.right.com.cn/forum/thread-8272758-1-1.html)
- [More](https://www.aliyundrive.com/s/9hiB3zHBevv/folder/60feb0e93302296609ad4b95b534a6e7d647c48e)

## 开启路由器SSH

- 用 winscp 将文件 `xqsystem.lua`上传到路由器 **(Y)** 的 `/usr/lib/lua/luci/controller/admin` 中

    ![图片1.png](https://static.cattom.site/new_blog_image/CR6608%20-%201.png?x-oss-process=style/blog)

- **(Y)** 的 ip 设置为 `169.254.31.1` ，然后关闭 DHCP
  
    链接: `http://<ip>/cgi-bin/luci/admin/network/network`
  
    ![图片2.png](https://static.cattom.site/new_blog_image/CR6608%20-%202.png?x-oss-process=style/blog)

- 电脑设置静态 ip 为 `169.254.31.3`
  
    ![图片3.jpg](https://static.cattom.site/new_blog_image/CR6608%20-%203.jpg?x-oss-process=style/blog)

- 设置 **(Y)** 的 WiFi

    链接: `http://<ip>/cgi-bin/luci/admin/network/wireless`

    | 频段 | WIFI名称 | 密码 |
    | :-: | :-: | :-: |
    | 2.4G | abc | 12345678 |
    | 5G | ABCD | 12345678 |

    ***保证无其他设备连接该路由器！***

- 浏览器访问: `http://169.254.31.1/cgi-bin/luci/api/xqsystem/token`
  
    正常情况出现 `code0` 等字样
  
    ![图片4.png](https://static.cattom.site/new_blog_image/CR6608%20-%204.png?x-oss-process=style/blog)

- 拔掉 **(Y)** LAN口的网线，电源不要断开，然后电脑的 ip 地址改回*自动获取*

    ![图片5.jpg](https://static.cattom.site/new_blog_image/CR6608%20-%205.jpg?x-oss-process=style/blog)

- 电脑用网线和 **(X)** 连接，并登陆路由器后台，复制`STOK`

    ![图片6.png](https://static.cattom.site/new_blog_image/CR6608%20-%206.png?x-oss-process=style/blog)

- 访问: `http://<ip>/cgi-bin/luci/;stok=<STOK>/api/misystem/extendwifi_connect?ssid=abc&password=12345678`
  
    `<ip>`: 按照实际情况自行修改
  
    `<STOK>`: 刚才复制的 STOK
  
    成功则显示 `code0` 等字样

??? warning "出错了怎么办？"

    错误`1646`: 请检查第一步的 DHCP 是否关闭
      
    错误`1619`: 请检查第一步 IP 是否设置正确或者 **(Y)** 下仍有其他设备
      
    错误`1655`: 请再来一次,有小概率会连接失败。

- 访问: http://<ip>/cgi-bin/luci/;stok=<STOK>/api/xqsystem/oneclick_get_remote_token?username=xxx&password=xxx&nonce=xxx

    `<ip>`: 按照实际情况自行修改

    `<STOK>`: 刚才复制的 STOK

    此时已经成功开启SSH！
  
    ![图片7.png](https://static.cattom.site/new_blog_image/CR6608%20-%207.png?x-oss-process=style/blog)

## 刷入 pb-boot

- 用 winscp 将文件 `pb-boot.img`上传到路由器 **(X)** 的 `/tmp` 中

    ![图片8.png](https://static.cattom.site/new_blog_image/CR6608%20-%208.png?x-oss-process=style/blog)
  
    ![图片9.png](https://static.cattom.site/new_blog_image/CR6608%20-%209.png?x-oss-process=style/blog)

- 连接路由器 SSH
    
    * `ssh root@<ip>`
    
    * 密码:(参考路由器背面标签上的默认管理密码)

- 刷入 pb-boot

    ```shell
    mtd write /tmp/pb-boot.img Bootloader
    poweroff
    ```

## 进入 pb-boot 刷入固件

- **(X)** 拔掉电源后，用牙签或取卡针插入 reset 按钮长按不要松开，然后接上电源等待8秒后松开

- 浏览器访问 `192.168.1.1` 进入 pb-boot 界面

- 选择文件之后，点击恢复固件，等待重启即可

    ![图片10.jpg](https://static.cattom.site/new_blog_image/CR6608%20-%2010.jpg?x-oss-process=style/blog)


## 刷 Redmi AX1800 原厂固件

### 将 pb-boot 换为 breed

- 电脑网线连接路由器 LAN 口

    然后断电，再按住 `reset` 按钮
  
    最后，重新插入电源，等待8秒后松开 `reset` 按钮

- 打开 `192.168.1.1` ，在 pb-boot 页面刷 breed 

- 选择 `breed-mt7621-xiaomi-r3g.bin`

### 刷入原厂 bootloader

进入 breed 页面刷入 CR6608 原厂 bootloader 

(进入方式同上）

### 利用官方救砖工具刷入 Redmi AX1800 固件

!!! info

    可能需要先行关闭 Chrome 的安全模式和 Windows Defender

- 下载并安装官方救砖工具: [链接](http://www.miwifi.com/miwifi_download.html)
- 电脑网线连接路由器 LAN 口
- 断电，再按住 reset 按钮
- 最后，重新插入电源，等待8秒后松开 reset 按钮

!!! info

    此时，路由器电源指示灯先黄灯闪烁，后黄灯常亮

- 电脑开启修复软件，选择 `miwifi_ra71_firmware_e8042_1.0.88.bin`
- 若电源指示灯转为蓝灯闪烁，即可退出救砖工具，断电重启路由器

??? info

    蓝灯闪烁: 刷机成功(需要断电重启)。
    
    橙灯长亮: 正在启动。
    
    橙灯闪烁: 进入刷机流程或系统升级中。
    
    红灯长亮: 系统故障。
    
    红灯闪烁: 刷机失败。

## 恢复原厂固件

!!! info

    可能需要先行关闭 Chrome 的安全模式和 Windows Defender

- 下载并安装官方救砖工具：http://www.miwifi.com/miwifi_download.html 
- 电脑网线连接路由器 LAN 口
- 断电，再按住reset按钮
- 最后，重新插入电源，等待8秒后松开 reset 按钮

!!! info

    此时，路由器电源指示灯先黄灯闪烁，后黄灯常亮

- 电脑开启修复软件，选择 `miwifi_cr6608_all_c11bb_1.0.100_2.bin`
- 若电源指示灯转为蓝灯闪烁，即可退出救砖工具，断电重启路由器

??? info

    蓝灯闪烁: 刷机成功(需要断电重启)。
    
    橙灯长亮: 正在启动。
    
    橙灯闪烁: 进入刷机流程或系统升级中。
    
    红灯长亮: 系统故障。
    
    红灯闪烁: 刷机失败。

## 参考

[小米CR660X（CR6606|CR6608|CR6609）路由器刷机教程|附带固件合集](https://www.right.com.cn/forum/forum.php?mod=viewthread&tid=5400725)

[小米CR660X(CR6606 6608)路由器刷回原厂](https://post.smzdm.com/p/alx0ke68/)

[小米CR6608的OpenWrt使用说明](https://kjzjj.com/index.php/2021/05/14/cr6608-openwrt/)

[小米CR660X刷redmi AX1800](https://kjzjj.com/index.php/2021/11/11/cr660x-ax1800/)