# Mi 8 UD (equuleus)

!!! info

    该型号在中国大陆命名为“小米 8 屏幕指纹版”，在海外命名为“Mi 8 Pro”

!!! info

    某些设备在启动加载器模式下对 USB 的支持存在缺陷，如果在使用 `fastboot getvar` `fastboot boot` `fastboot flash` 等命令时发现 fastboot 挂起且无输出，则可能需要尝试不同的 USB 端口（最好是 USB Type-A 2.0 端口）或 USB 扩展坞。

!!! warning "注意！"

    以下内容凡涉及官方固件/工具时，均采用{==国行版==}

## 解 BootLoader 锁

!!! warning "注意！"

    解除 BootLoader 锁将会清除设备上所有个人信息！请注意备份！

若无法连接，请在官方解锁工具中安装驱动。

- [官方解锁工具](https://www.miui.com/unlock/index.html)
- [官方解锁工具(历史版本)](https://miuiver.com/miunlock/)

## 刷入官方固件/救砖 - Fastboot 线刷

若首次刷机，请确保手机上安装的 MIUI 版本为 `V12.5.2.0.QECCNXM`，否则请刷入对应版本的官方固件。

刷写完成后，请检查设备各部分的可用情况！

- [Mi 6 官方固件](https://xiaomirom.com/rom/mi-6-sagit-china-fastboot-recovery-rom/)
- [小米刷机工具 MiFlash (含教程步骤)](https://xiaomirom.com/download-xiaomi-flash-tool-miflash/)

## 刷入 LineageOS 21

[下载 LineageOS 21 安装包](https://download.lineageos.org/devices/equuleus/builds)

请下载 `.zip` 安装包、`boot.img`、`recovery.img`

### 使用 fastboot 安装 Lineage Recovery 模式

- 进入 Fastboot: 音量减 + 电源
- 检查 fastboot 连接情况
  
  ``` powershell
  .\fastboot devices
  ```

- 将 `recovery.img` 刷入设备
  
  ``` powershell
  fastboot flash recovery <path>\recovery.img
  ```

### 从 Recovery 模式中安装 LineageOS

- 进入 Recovery: 音量加 + 电源
- 清除设备数据: 

    * 点击 `Factory Reset`
    * 点击 `Format data / factory reset`

- 刷入 LineageOS: 

    * 点击 `Apply Update`
    * 点击 `Apply from ADB`
    * 执行：`.\adb -d sideload <path>\filename.zip`

- 安装 Google Apps: 

    * [下载 GApps](https://wiki.lineageos.org/gapps)
    * 点击 `Apply Update`
    * 点击 `Apply from ADB`
    * 执行：`.\adb -d sideload <path>\filename.zip`
    * 若显示 Signature verification failed, 请点击 `Yes`。这在意料之中，因为附加组件并没有签署 LineageOS 的官方密钥！
    
- 最后：点击 `Reboot system now`，重启进入系统

## 安装 Magisk




## 参考

[Install LineageOS on Xiaomi Mi 8 Pro](https://wiki.lineageos.org/devices/equuleus/install)



